@media screen {

    body {
        color: var(--color-text);
    }

        body.bg-light {
            background-color: #fff !important;
        }

    .page-container::before {
        content: unset;
    }

    .container.container-main,
    .main-container {
        box-shadow: none;
    }

    .main-container {
        padding-inline: 1rem;
    }

    .navbar .navbar-collapse {
        align-self: center;
    }

    .navbar-brand {
        background-image: url(../images/logo_intertex.png);
        background-size: contain;
        height: 40px;
        padding-left: 0 !important;
        padding-right: 0 !important;
        padding-top: 0px !important;
        padding-bottom: 0px !important;
        background-size: contain;
        margin: 10px 10px 10px 0;
    }

    .page-container {
        background-color: var(--white);
        background-image: none;
        background-attachment: unset;
        background-size: unset;
        background-position: unset;
        background-repeat: unset;
    }

    .modal-header .navbar-brand {
        height: 30px;
        width: 205px;
        background-image: url(../images/logo_intertex_weiss.png);
    }


    .modal-header.bg-primary {
        background-color: var(--primary) !important;
    }

    .modal-body .btn.btn-primary,
    .modal-footer .btn.btn-primary {
        background-color: var(--primary);
        border-color: var(--primary);
    }

        .modal-body .btn.btn-primary:hover,
        .modal-body .btn.btn-primary:focus,
        .modal-body .btn.btn-primary:focus:active,
        .modal-body .btn.btn-primary:focus:focus-visible,
        .modal-footer .btn.btn-primary:hover,
        .modal-footer .btn.btn-primary:focus,
        .modal-footer .btn.btn-primary:focus:active,
        .modal-footer .btn.btn-primary:focus:focus-visible {
            background-color: var(--gray-900) !important;
            border-color: var(--gray-900) !important;
            box-shadow: none;
            outline: none;
        }

    .btn-icon .icon-sprite {
        background-color: var(--white);
    }

    .btn-icon.nav-link:hover .icon-sprite,
    .active.nav-link.btn-icon .icon-sprite {
        background-color: var(--primary);
    }

    .dropdown-menu .btn-icon.nav-link:hover .icon-sprite,
    .dropdown-menu .active.nav-link.btn-icon .icon-sprite {
        background-color: var(--white);
    }

    .btn-icon.nav-link .icon-sprite {
        background-color: var(--primary-hover);
    }


    .link-icon .icon-sprite {
        background-color: var(--primary);
    }

    .link-icon:hover .icon-sprite {
        background-color: var(--primary-hover);
    }

    .link-icon.link-icon-feedback .icon-sprite {
        background-color: var(--white);
    }

    .link-icon:hover, .link-icon:active, .link-icon:focus {
        text-decoration: underline;
    }

    .hr-text-container .hr-text-text {
        color: var(--primary);
    }

    .hr-text-container .hr-text-line div {
        border-top-color: var(--primary);
    }



    .main-button-row .main-button-col {
        background-color: var(--gray-900) !important;
        max-width: 100%;
    }

        .main-button-row .main-button-col .btn-primary {
            background-color: var(--primary);
            border-color: var(--primary);
        }

        .main-button-row .main-button-col .btn-prev {
            background-color: var(--gray-900);
            border: 1px solid var(--gray-400);
            
        }

            .main-button-row .main-button-col .btn-primary:hover,
            .main-button-row .main-button-col .btn-prev:hover,
            .main-button-row .main-button-col .btn-primary:focus,
            .main-button-row .main-button-col .btn-prev:focus,
            .main-button-row .main-button-col .btn-primary:active:focus,
            .main-button-row .main-button-col .btn-prev:active:focus,
            .main-button-row .main-button-col .btn-primary:focus-visible,
            .main-button-row .main-button-col .btn-prev:focus-visible {
                background-color: var(--primary);
                border: 1px solid white;
                box-shadow: none;
                outline: none;
            }
    /*
##############################
    POW-MODE (body#powPage)
##############################
*/

    #powPage .page-container {
        padding-bottom: 2rem;
    }

    #powPage .main-container {
        max-width: min(60rem, 100%);
        width: 100%;
        margin-inline: auto;
    }

    #powPage .container.container-main,
    #powPage .main-container {
        min-height: unset;
    }

    #powPage h3.h3-border {
        font-size: 1.25em;
        line-height: 1;
        margin: 1.5em 0 1rem;
        padding-bottom: 0.25em;
        border-bottom: 1px solid #004494;
    }

    #powPage p.info {
        position: relative;
    }

        #powPage p.info::before {
            content: ">";
            color: #004494;
            font-weight: bold;
            position: absolute;
            top: -0.46em;
            left: -1em;
            width: 1em;
            text-align: center;
            font-size: 2em;
        }

    #powPage .form-pow {
        margin-top: 2rem;
        background-color: oklch(from var(--primary) l c h / 0.1);
        padding: 1rem;
        padding-block: 2rem;
    }

        #powPage .form-pow .text-danger {
            font-weight: 700;
        }


    #powPage .form-control-max-width-40ch {
        max-width: 40ch;
    }

    #powPage form#powForm input.form-control.error,
    #powPage form#powForm input.form-control:user-invalid {
        border-color: var(--danger);
        background-color: oklch(from var(--danger) 100% c h );
    }

    #powPage form#powForm input.form-control:focus.error,
    #powPage form#powForm input.form-control:focus-visible.error,
    #powPage form#powForm input.form-control:focus:user-invalid,
    #powPage form#powForm input.form-control:focus-visible:user-invalid {
        box-shadow: 0 0 0 0.2rem oklch(from var(--danger) l c h / 0.3 );
    }

    @media (max-width: 1199px) {
        #powPage .form-pow {
            padding-top: 1rem;
        }

            #powPage .form-pow .col-form-label {
                padding-bottom: 0.1em;
            }
    }


    /*
##############################
    Views InfoEdit / MessagesEdit
##############################
*/
    .info-language-block > .col-12 > .form-group {
        border-bottom: 4px solid var(--primary-hover);
    }

    .info-language-tabs {
        gap: 1px;
    }

    .info-language-switch {
        margin-left: 0 !important;
        margin-right: 0 !important;
    }

        .info-language-switch input[type="radio"] ~ label.btn.btn-primary {
            background-color: var(--primary);
            border-color: var(--primary);
            border-bottom-color: white;
        }

            .info-language-switch input[type="radio"] ~ label.btn.btn-primary:hover {
                border-bottom-color: white !important;
            }

        .info-language-switch input[type="radio"]:checked ~ label.btn.btn-primary {
            background-color: var(--primary-hover);
            border-color: var(--primary-hover);
            border-bottom-color: var(--primary-hover);
            pointer-events: none;
        }
}

@media screen and (max-width: 1199px) {
    .navbar-collapse {
        background-color: #fff;
        margin-top: 1px;
    }

    .navbar .nav-item {
        margin-bottom: 1px;
    }

        .navbar .nav-item .nav-link.active,
        .navbar .nav-item.active .nav-link,
        .navbar .nav-link:hover {
            border-right-width: 0px;
        }
}
